- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::CodecParams Class Reference

Parameters common to coder and decoder operation. More...

`#include <common.h>`

Inheritance diagram for dirac::CodecParams:

List of all members.

## Public Member Functions
| CodecParams ()
| Default constructor.
int | XNumMB () const
| Return the number of macroblocks horizontally.
int | YNumMB () const
| Return the number of macroblocks vertically.
int | XNumBlocks () const
| Return the number of blocks horizontally.
int | YNumBlocks () const
| Returns the number of blocks vertically.
bool | Verbose () const
| Returns true if we're operating verbosely, false otherwise.
bool | Interlace () const
| Returns true if we're operatung using interlace tools [not currently defined].
bool | TopFieldFirst () const
| Returns true if the topmost field comes first in time [NB: TBD since this duplicates metadata in the sequence header].
const OLBParams & | LumaBParams (int n) const
| Return the Luma block parameters for each macroblock splitting level.
const OLBParams & | ChromaBParams (int n) const
| Return the Chroma block parameters for each macroblock splitting level.
int | OrigXl () const
| Return the original frame width.
int | OrigYl () const
| Return the original frame height.
void | SetXNumMB (const int xn)
| Set how many MBs there are horizontally.
void | SetYNumMB (const int yn)
| Set how many MBs there are vertically.
void | SetXNumBlocks (const int xn)
| Set how many blocks there are horizontally.
void | SetYNumBlocks (const int yn)
| Set how many blocks there are vertically.
void | SetVerbose (bool v)
| Sets verbosity on or off.
void | SetInterlace (bool intlc)
| Sets whether interlace tools are to be used.
void | SetTopFieldFirst (bool topf)
| Sets whether the topmost field comes first in time [NB: TBD since this duplicates metadata in the sequence header].
void | SetBlockSizes (const OLBParams &olbparams, const ChromaFormat cformat)
| Set the block sizes for all MB splitting levels given these prototype block sizes for level=2.
void | SetOrigXl (const int x)
| Set the original frame width.
void | SetOrigYl (const int y)
| Set the original frame height.

## Detailed Description

Parameters common to coder and decoder operation.

Parameters used throughout both the encoder and the decoder

Definition at line 542 of file common.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.cpp